#ifndef _HARDWARE_H_
#define _HARDWARE_H_
/*****************************************
 * Ausgabe-Latches nibbleweise ansteuern *
 *****************************************/
#include <sys/types.h>	// u_char

#define CONFOUT_EE_OFFSET 0x80

// Ausgabetreiber initialisieren
void OutInit(void);

// Schaltzustand aus EEPROM laden und ausgeben
void OutRestore(void);

// Bootkonfiguration wählen (von WWBMU wird nur 1-aus-4 unterstützt)
// port = 1..16, sel = 0..4 (0 = keine LED, 1..4 = LED 1-aus-4)
void OutSetBootsel(u_char port, u_char sel);

// Angelegte Bootkonfiguration abfragen
// (so wie WWBMU es tut; das niederwertigste Bit entscheidet)
// port = 1..16, liefert 0 (kein Bit gesetzt) bis 4 (nur MSB gesetzt)
u_char OutGetBootsel(u_char port);

// Eindrucksvolle Funktionsprobe
// Hinterlässt alle LEDs ausgeschaltet, ändert OutData nicht.
// Dauer: 20 ms * 128 = 2,5 Sekunden
// Mehr Zeit für Spielerei ist nicht, weil bei Stromzuschaltung
// die angeschlossenen Rechner ihre Bootkonfiguration haben wollen.
void OutKnightrider(void);

#endif//_HARDWARE_H_
